org.kie.internal.agent

## Interface KnowledgeAgentConfiguration

- All Superinterfaces:
    org.kie.api.PropertiesConfiguration

      public interface KnowledgeAgentConfiguration
      extends org.kie.api.PropertiesConfiguration

  This class configures and allows inspection of the current configuration of a `KnowledgeAgent`

  - `drools.agent.scanResources = <true|false>` Enables(true) or Disables(false) the continuous scan of resources.
  - `drools.agent.scanDirectories = <true|false>` Enables(true) or Disables(false) the scan of directories.
  - `drools.agent.newInstance = <true|false>` Setting the newInstance option to true (default) will make the agent to create a brand new KnowledgeBase every time there is a change to the source assets. Previously created sessions will continue to reference and use the previously existing KnowledgeBase, so this option should be used in scenarios where sessions are short lived, as they are never updated. Setting this option to false will make the agent keep and incrementally update the existing knowledge base, automatically updating all existing sessions. This option should be used for scenarios with long living sessions that should be updated automatically when the source assets change.
  - `drools.agent.monitorChangeSetEvents = <true|false>` Enables(true) the monitoring of changes in the resources.
  - `drools.agent.useKBaseClassLoaderForCompiling = <false|true>` If this option is set to true, the agent will use the same classloader to compile the resources that it uses on the knowledge base. If false (default), it will use an exclusive classloader for compilation.
  - `drools.agent.validationTimeout = <milliseconds>` Sets the timeout for the validation of remote XML schemas. Default is 0 (that means no timeout).
  See Also:
    `KnowledgeAgent`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getValidationTimeout()`
    `boolean` | `isMonitorChangeSetEvents()`
    `boolean` | `isNewInstance()` Returns the configured state of the `drools.agent.newInstance` option.
    `boolean` | `isScanDirectories()`
    `boolean` | `isScanResources()`
    `boolean` | `isUseKBaseClassLoaderForCompiling()`

    - ### Methods inherited from interface org.kie.api.PropertiesConfiguration

      `getProperty, setProperty`

- - ### Method Detail

    - #### isScanResources

          boolean isScanResources()

      Returns:
        true if the continuous scan of resources is enabled. false otherwise.

    - #### isScanDirectories

          boolean isScanDirectories()

      Returns:
        true if the continuous scan of directories is enabled. false otherwise.

    - #### isMonitorChangeSetEvents

          boolean isMonitorChangeSetEvents()

      Returns:
        true if the monitoring of changes on resources is enabled. false otherwise.

    - #### isNewInstance

          boolean isNewInstance()

      Returns the configured state of the `drools.agent.newInstance` option.

      If true (default), the agent creates a brand new KnowledgeBase every time there is a change to the source assets. Previously created sessions will continue to reference and use the previously existing KnowledgeBase, so this option should be used in scenarios where sessions are short lived, as they are never updated.

      If false will, the agent keeps and incrementally update the existing knowledge base, automatically updating all existing sessions. This option should be used for scenarios with long living sessions that should be updated automatically when the source assets change.

      Returns:
        the configured state of the `drools.agent.newInstance` option.

    - #### isUseKBaseClassLoaderForCompiling

          boolean isUseKBaseClassLoaderForCompiling()

      Returns:
        true if the agent is configured to use the same classloader for compilation and runtime execution. false otherwise.

    - #### getValidationTimeout

          int getValidationTimeout()

      Returns:
        the timeout in milliseconds for the validation of remote XML schemas.

Copyright © 2001–2015 JBoss by Red Hat. All rights reserved.